<div class="d-flex flex-column h-100">
    <div class="header-container">
        <div class="d-flex align-items-center h-100 text-white">
            <h3 class="flex-fill m-0 title-label text-white">{{getTitle}}</h3>
            <ng-container *appAccess="APPT_BASIC; lookFor: 'D'">
                <i class="fa fa-trash-o ic-trash text-white" *ngIf="!isNew" (click)="deleteAppointment()"></i>
            </ng-container>
            <mat-icon class="ic-close text-white" (click)="onCancel()">close</mat-icon>
        </div>
    </div>

    <div class="content-container flex-fill" [class.overflow-hidden]="isOpenPatientDetailsPopup">
        <form *ngIf="editForm" [formGroup]="editForm" autocomplete="off" class="add-edit-appt-form">

            <ngx-rrule *ngIf="!isLoaded && !isNew && targetData && targetData.recurrenceRule"
                       formControlName="recurrenceRule"
                       [hideEnd]="recurrenceRule && recurrenceRule.repeat.frequency == 'Never'"
                       [frequency]="recurrFrequency">
            </ngx-rrule>

            <!-- APPOINTMENT DETAILS -->
            <section class="appt-details-section">

                <!-- HEADER -->
                <div class="appt-ae-header-container d-flex align-items-center">
                    <div class="flex-fill">
                        <span>Appointment Details</span>
                    </div>

                    <button type="button" class="recurring-popup-open-btn no-border-bg-btn d-flex"
                            (click)="toggleRecurrencePopup(true)">
                        <img src="./assets/ic-appt-recurrer.png"/>
                    </button>
                    <button type="button" class="expand-collapse-btn no-border-bg-btn d-flex align-items-center"
                            (click)="isApptDetailsExpanded = !isApptDetailsExpanded;">
                        <mat-icon class="m-0" *ngIf="!isApptDetailsExpanded">keyboard_arrow_down</mat-icon>
                        <mat-icon class="m-0" *ngIf="isApptDetailsExpanded">keyboard_arrow_up</mat-icon>
                    </button>
                </div>

                <div class="content-container-padding" style="margin-top: 6px;" [hidden]="!isApptDetailsExpanded">
                    <div class="form-group row">
                        <div class="col-xl-12">
                            <div class="w-100 text-right" style="padding-right: 35px;">
                                <mat-hint align="end" class="required-hint">Required</mat-hint>
                            </div>
                            <div class="d-flex align-items-center search-patient">
                                <mat-form-field [appearance]="apperance" class="full-width break-form-field">
                                    <mat-label>{{patientSearch.value ? 'Patient' : ''}}</mat-label>
                                    <input matInput formControlName="patientId" class="d-none" [value]="patientId"/>
                                    <app-patient-search #patientSearch [value]="selectedPatient"
                                                        (valueChanged)="onSelectPatientForAppt($event)"
                                                        (redirectPatient)="redirectPatient($event)"
                                                        placeHolder="Search Patient ( ID, Name or Mobile No.)">
                                    </app-patient-search>
                                    <mat-error *ngIf="editForm.get('patientId').hasError('required')">
                                        This field is required.
                                    </mat-error>
                                </mat-form-field>

                                <button class="d-flex no-border-bg-btn" *ngIf="patientSearch.value"
                                        style="margin-top: -22px; width: 30px;"
                                        (click)="togglePatientDetailsPopup(!isOpenPatientDetailsPopup)">
                                    <img src="./assets/ic-patient-info.png"/>
                                </button>

                            </div>

                            <button #apptDetailsElem class="position-absolute"
                                    style="left: -4px; margin-top: -15px; opacity: 0;"></button>
                        </div>

                        <div class="col-xl-12">
                            <mat-form-field *ngIf="!isManualSelection" [appearance]="apperance"
                                            class="full-width ptt-select-form-field">
                                <mat-label class="disable-label">Practitioner</mat-label>
                                <div *ngIf="selectedPractitioner" class="d-flex align-items-center"
                                     style="margin-top: -4px">
                                    <kendo-avatar *ngIf="!selectedPractitioner.photo" [shape]="'circle'"
                                                  [initials]="selectedPractitioner.initial"></kendo-avatar>
                                    <kendo-avatar *ngIf="selectedPractitioner.photo" [shape]="'circle'"
                                                  [imageSrc]="selectedPractitioner.photo"></kendo-avatar>
                                    <span class="pl-2 disable-label">{{ selectedPractitioner.displayName }}</span>
                                </div>
                                <input matInput [disabled]="true" value=" " class="d-none"/>
                            </mat-form-field>

                            <mat-form-field *ngIf="isManualSelection" [appearance]="apperance"
                                            class="full-width ptt-select-form-field">
                                <mat-label class="disable-label">Practitioner</mat-label>
                                <mat-select formControlName="practitionerId">
                                    <mat-select-trigger>
                                        <div *ngIf="selectedPractitioner" class="d-flex align-items-center"
                                             style="margin-top: -4px">
                                            <kendo-avatar *ngIf="!selectedPractitioner.photo" [shape]="'circle'"
                                                          [initials]="selectedPractitioner.initial"></kendo-avatar>
                                            <kendo-avatar *ngIf="selectedPractitioner.photo" [shape]="'circle'"
                                                          [imageSrc]="selectedPractitioner.photo"></kendo-avatar>
                                            <span class="pl-2 disable-label">{{ selectedPractitioner.displayName }}</span>
                                        </div>
                                    </mat-select-trigger>
                                    <mat-option *ngFor="let p of practitioners" [value]="p.practitionerId">
                                        <div class="d-flex align-items-center" style="margin-top: -4px">
                                            <kendo-avatar *ngIf="!p.photo" [shape]="'circle'"
                                                          [initials]="p.initial"></kendo-avatar>
                                            <kendo-avatar *ngIf="p.photo" [shape]="'circle'"
                                                          [imageSrc]="p.photo"></kendo-avatar>
                                            <span class="pl-2 disable-label">{{ p.displayName }}</span>
                                        </div>
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>

                        <div class="col-xl-12">
                            <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
                                <mat-label class="disable-label">Date</mat-label>
                                <app-date-picker icon="./assets/ic-calendar-big.png" [value]="selectedDataDate"
                                                 (valueChange)="dateSelectionChange($event)"></app-date-picker>
                            </mat-form-field>
                        </div>


                        <div>
                            <div class="start-end-time-picker-wrapper">
                                <div class="col-xl-12 d-flex justify-content-center align-items-center w-100">
                                    <div class="start-time-wrapper">
                                        <mat-form-field class="timepicker-mat-form-field" appearance="outline">
                                            <mat-label>Start Time</mat-label>
                                            <app-time-picker [min]="_startTime" [max]="_endTime" [interval]="interval"
                                                             [editable]="true"
                                                             formControlName="startDateUTC"
                                                             label="Start Time"></app-time-picker>
                                        </mat-form-field>
                                    </div>
                                    <div class="end-time-wrapper">
                                        <mat-form-field class="timepicker-mat-form-field" appearance="outline">
                                            <mat-label>End Time</mat-label>
                                            <app-time-picker [min]="min" [max]="_endTimeForEndTime"
                                                             [interval]="interval" [editable]="true"
                                                             formControlName="endDateUTC"
                                                             label="End Time"></app-time-picker>
                                        </mat-form-field>
                                    </div>
                                </div>
                            </div>
                            <mat-error class="col-12 end-time-error"
                                       *ngIf="editForm.get('endDateUTC').hasError('endIsLess')">
                                End Time should be greater than Start Time.
                            </mat-error>
                        </div>

                        <!-- APPOINTMENT TYPE -->
                        <div class="col-12">
                            <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
                                <mat-label class="disable-label">Appointment Type</mat-label>
                                <app-appt-drop-down-add-new #field formControlName="appointmentType"
                                                            [data]="AppointmentTypeList"
                                                            textField="appointmentType" valueField="id"
                                                            [isServiceProduct]="false" [isApptType]="true"
                                                            [isDisplayFooter]="true"
                                                            footerText="+ Add New" (clickAddNew)="AddNewClick($event)">
                                </app-appt-drop-down-add-new>
                            </mat-form-field>
                        </div>

                        <!-- TREATMENT ROOM -->
                        <div class="col-12">
                            <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
                                <mat-label class="disable-label">Treatment Room</mat-label>
                                <app-appt-drop-down-add-new #field formControlName="treatmentRoomId"
                                                            [data]="TreatmentRoomsList"
                                                            textField="treatmentType" valueField="id"
                                                            [isServiceProduct]="false" [isDisplayFooter]="true"
                                                            footerText="+ Add New"
                                                            (clickAddNew)="AddNewClick($event)"></app-appt-drop-down-add-new>
                            </mat-form-field>
                        </div>

                        <div class="col-xl-12" style="order: 4;">
                            <div class="d-flex justify-content-between align-items-center book-online-wrapper">
                                <div class="normal_16px_22px_font font-weight-bold flex-fill">
                                    Tele Health
                                </div>
                                <kendo-switch class="book-online-switch" formControlName="telehealth" [onLabel]="'On'"
                                              [offLabel]="'Off'"></kendo-switch>
                            </div>
                        </div>

                    </div>
                </div>

            </section>

            <!-- TREATMENT DETAILS -->
            <section class="treatment-details-section">

                <!-- HEADER -->
                <div class="appt-ae-header-container d-flex align-items-center">
                    <div class="flex-fill">
                        <span>Treatment Details</span>
                    </div>

                    <button class="expand-collapse-btn no-border-bg-btn d-flex align-items-center"
                            (click)="istreatmentDetailsExpanded = !istreatmentDetailsExpanded;">
                        <mat-icon class="m-0" *ngIf="!istreatmentDetailsExpanded">keyboard_arrow_down</mat-icon>
                        <mat-icon class="m-0" *ngIf="istreatmentDetailsExpanded">keyboard_arrow_up</mat-icon>
                    </button>
                </div>

                <div class="content-container-padding" style="margin-top: 20px;" [hidden]="!istreatmentDetailsExpanded">
                    <div class="form-group row">

                        <!-- CONSESSION -->
                        <div class="col-12" [formGroup]="treatmentDetailsFG">
                            <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
                                <mat-label class="disable-label">Consession</mat-label>
                                <app-appt-drop-down-add-new formControlName="concessionId" [data]="ConcessionsList"
                                                            textField="concessionType" valueField="id"
                                                            [isServiceProduct]="false" [isDisplayFooter]="true"
                                                            footerText="+ Add Concession"
                                                            (clickAddNew)="AddNewClick($event)"
                                                            (valueChange)="concessionChange()"></app-appt-drop-down-add-new>
                            </mat-form-field>
                        </div>

                        <!-- SERVICE & PRODUCTS -->
                        <div class="service-product-container col-12">

                            <div class="header d-flex align-items-center">
                                <div class="title flex-fill">
                                    <span>Service & Product</span>
                                </div>
                                <div>
                                    <a role="button" class="cursor-pointer" (click)="addSPFG()">+ Add Item</a>
                                </div>
                            </div>

                            <!-- SERVICE & PRODUCTS ROOM -->
                            <div class="w-100 d-flex"
                                 *ngFor="let fg of serviceNProductFormArray.controls; let i = index">

                                <ng-container *ngIf="getServiceProducts(i) && getServiceProducts(i).length > 0">
                                    <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
                                        <mat-label class="disable-label">Select</mat-label>
                                        <app-appt-drop-down-add-new #field [data]="getServiceProducts(i)"
                                                                    textField="name" valueField="id"
                                                                    [value]="fg.get('treatementType').value == 0 ? fg.get('serviceId').value : fg.get('productId').value"
                                                                    [isServiceProduct]="true" [isDisplayFooter]="false"
                                                                    (valueChange)="onSelectServiceProduct($event, i)"
                                                                    (clearOrRemove)="clearOrRemoveSP(i, $event)"></app-appt-drop-down-add-new>

                                    </mat-form-field>

                                    <button class="no-border-bg-btn ml-2" style="height: 54px;"
                                            [disabled]="!field.value"
                                            (click)="editProductService(field.value, i)">
                                        <mat-icon class="m-0 edit-sp-icon" [class.inactive]="!field.value">edit
                                        </mat-icon>
                                    </button>
                                </ng-container>
                            </div>
                        </div>

                    </div>
                </div>
            </section>

            <!-- Case & Contact DETAILS -->
            <section class="cc-details-section">

                <!-- HEADER -->
                <div class="appt-ae-header-container d-flex align-items-center">
                    <div class="flex-fill">
                        <span>Case & Contact Details</span>
                    </div>

                    <button class="expand-collapse-btn no-border-bg-btn d-flex align-items-center"
                            (click)="isCCDetailsExpanded = !isCCDetailsExpanded;">
                        <mat-icon class="m-0" *ngIf="!isCCDetailsExpanded">keyboard_arrow_down</mat-icon>
                        <mat-icon class="m-0" *ngIf="isCCDetailsExpanded">keyboard_arrow_up</mat-icon>
                    </button>
                </div>

                <div class="content-container-padding" style="margin-top: 20px;" [hidden]="!isCCDetailsExpanded">
                    <div class="form-group row">

                        <!-- CASE -->
                        <div class="col-12">
                            <div class="w-100 text-right">
                                <mat-hint align="end" class="required-hint">Required</mat-hint>
                            </div>
                            <div class="d-flex align-items-center">
                                <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
                                    <mat-label class="disable-label">Case</mat-label>
                                    <app-appt-drop-down-add-new formControlName="caseId" [data]="CasesList"
                                                                textField="categoryName"
                                                                valueField="id" footerText="+ Add Case"
                                                                (clickAddNew)="AddNewClick($event)"
                                                                (valueChange)="getSelectedCaseRecord($event)"></app-appt-drop-down-add-new>
                                    <mat-error *ngIf="editForm.get('caseId').hasError('required')">
                                        This field is required.
                                    </mat-error>
                                </mat-form-field>
                            </div>
                        </div>

                        <!-- PAYER -->
                        <div class="col-12">
                            <div class="w-100 text-right">
                                <mat-hint align="end" class="required-hint">Required</mat-hint>
                            </div>
                            <div class="d-flex align-items-center">
                                <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
                                    <mat-label class="disable-label">Payer</mat-label>
                                    <app-appt-drop-down-add-new formControlName="payerId" [data]="playerList"
                                                                textField="playerType"
                                                                valueField="id" footerText="+ Attach Third Party"
                                                                (clickAddNew)="AddNewClick($event)">

                                        <mat-error *ngIf="editForm.get('payerId').hasError('required')">
                                            This field is required.
                                        </mat-error>
                                    </app-appt-drop-down-add-new>
                                </mat-form-field>
                            </div>
                        </div>

                        <!-- REFERRAL -->
                        <div class="col-12">
                            <div class="w-100 text-right">
                                <mat-hint align="end" class="required-hint">Required</mat-hint>
                            </div>
                            <div class="d-flex align-items-center">
                                <mat-form-field [appearance]="apperance" class="full-width ptt-select-form-field">
                                    <mat-label class="disable-label">Referral</mat-label>
                                    <app-appt-drop-down-add-new formControlName="referralId" [data]="contactList"
                                                                textField="contactType"
                                                                valueField="id" footerText="+ Attach Referral"
                                                                (clickAddNew)="AddNewClick($event)"></app-appt-drop-down-add-new>

                                    <mat-error *ngIf="editForm.get('referralId').hasError('required')">
                                        This field is required.
                                    </mat-error>
                                </mat-form-field>
                            </div>
                        </div>

                        <!-- Appointment Note -->
                        <div class="col-xl-12">
                            <mat-form-field [appearance]="apperance" class="full-width">
                                <mat-label>Notes</mat-label>
                                <textarea matInput formControlName="note" class="appt-note-textarea" appCharLimit
                                          [frmGroup]="editForm" fcName="note" [max]="250"></textarea>

                                <mat-error *ngIf="editForm.get('note').hasError('exceedLimit')">
                                    {{editForm.get('note').getError('exceedLimit')}}
                                </mat-error>
                            </mat-form-field>
                        </div>

                    </div>
                </div>
            </section>

        </form>
    </div>

    <div class="footer-container">
        <mat-divider></mat-divider>
        <div class="container-fluid d-flex align-items-center justify-content-end align-items-center h-100">
            <button mat-stroked-button color="accent" class="cancel-btn" (click)="onCancel()">Cancel</button>
            <button *appAccess="APPT_BASIC; lookFor: ['C', 'E']" mat-raised-button color="accent" class="save-btn" (click)="onSave()">
                {{isUpserting ? 'Saving...' : "Save"}}
            </button>
        </div>
    </div>
</div>

<!-- CONFLICT DIALOG -->
<kendo-dialog *ngIf="isDialogOpen" [height]="295" [width]="738" autoFocusedElement="#nocancel">

    <div style="padding: 0 4px">
        <div class="d-flex align-items-center" style="height: 40px; min-height: 40px;">
            <div class="dialog-title text-uppercase flex-fill">
                <span>{{dialogTitle}}</span>
            </div>
            <button mat-icon-button class="modalClosebtn" (click)="closeDialog()"
                    style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;" aria-label="Close dialog">
                <mat-icon class="m-0">close</mat-icon>
            </button>
        </div>
        <mat-divider></mat-divider>

        <div class="normal_16px_font normalhelfont lightcolor"
             style="height: 141px; letter-spacing: 0.15px; padding: 20px 0; white-space: break-spaces;">
            {{dialogContent.trim()}}
        </div>
        <mat-divider></mat-divider>
        <div class="text-right w-100" style="margin-top: 19px;">
            <button *ngIf="isDisplayNoButton" mat-stroked-button #btnRef="matButton" color="accent"
                    class="mr-3 cancelbuttons btnheight dialog-btn" (click)="clickCancel()" id="nocancel"
                    [disabled]="isClickedOnlyThisOccurrence || isClickedThisNFutureOccurrence">
                <i class="fa fa-spinner fa-pulse mr-2" *ngIf="isUpserting && isClickedThisNFutureOccurrence"></i>
                <span>{{noButtonName}}</span>
            </button>
            <button mat-raised-button color="accent" class="btnheight dialog-btn" (click)="clickOk()"
                    [disabled]="isClickedOnlyThisOccurrence || isClickedThisNFutureOccurrence">
                <i class="fa fa-spinner fa-pulse mr-2" *ngIf="isUpserting && isClickedOnlyThisOccurrence"></i>
                <span>{{yesButtonName}}</span>
            </button>
        </div>
    </div>
</kendo-dialog>
<!-- CONFLICT DIALOG -->

<!-- EDIT PRODUCT SERVICE DIALOG -->
<kendo-dialog class="product-service-dialog" *ngIf="isOpenAESPPopup" [width]="800" [height]="256"
              autoFocusedElement="#nocancel">

    <div class="h-100 d-flex flex-column">
        <div class="d-flex align-items-center" style="height: 40px; min-height: 40px;">
            <div class="dialog-title black text-uppercase flex-fill">
                <span>EDIT SERVICE DURATION</span>
            </div>
            <button mat-icon-button class="modalClosebtn" (click)="toggleAESPPopup(false)"
                    style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;" aria-label="Close dialog">
                <mat-icon class="m-0">close</mat-icon>
            </button>
        </div>
        <mat-divider></mat-divider>

        <div class="flex-fill" style="padding: 13px 20px;">
            <table class="ae-change-table">
                <thead>
                <tr>
                    <th width="334">{{psType == 0 ? 'SERVICE' : 'PRODUCT'}}</th>
                    <th width="212">{{psType == 0 ? 'Duration' : 'Quantity'}}</th>
                    <th width="212">Fee</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td>{{psName}}</td>
                    <td class="edit-qty-duration">
                        <input #dqField type="number" [value]="psDQFieldVal" class="qty-duration-input remove-spin-btn"
                               (input)="changeQtyMin(dqField.value)"/>
                        <span> {{psType == 0 ? 'min' : 'qty'}}</span>
                    </td>
                    <td>{{psPrice}}</td>
                </tr>
                </tbody>
            </table>

        </div>
        <mat-divider></mat-divider>
        <div class="d-flex align-items-center w-100" style="height: 56px; margin-top: 19px; padding: 0;">
            <div class="flex-fill text-left">
                <button mat-raised-button class="deletebutton" (click)="clearOrRemoveSP()">Delete</button>
            </div>
            <div>
                <button mat-stroked-button #btnRef="matButton" color="accent"
                        class="mr-3 cancelbuttons btnheight da-dialog-cancel-btn" (click)="toggleAESPPopup(false)"
                        id="nocancel">
                    Cancel
                </button>
                <button mat-raised-button color="accent" class="btnheight da-dialog-save-btn"
                        (click)="applyQtyDurationChange()">
                    Apply
                </button>
            </div>
        </div>
    </div>
</kendo-dialog>
<!-- DIALOG -->


<!-- POPUP FOR PATIENT DETAILS -->
<kendo-popup class="patient-details-popup" [animate]="aePopupAnimation" [anchor]="apptDetailsElem"
             [anchorAlign]="{horizontal: 'left', vertical: 'bottom'}"
             [popupAlign]="{horizontal: 'left', vertical: 'top'}"
             style="bottom: 0" *ngIf="isOpenPatientDetailsPopup">

    <mat-divider></mat-divider>
    <div class="patient-details-content h-100 bg-white" style="width: 364px; padding: 0 16px 0 16px;">
        <div style="padding-top: 16px;">
            <h3 class="pd-title m-0 font-weight-bold">Patient Details</h3>

            <div class="d-flex pd-cotainer">
                <span class="pd-label">Patient Number</span>
                <span class="pd-value">: Id {{patientNumber}}</span>
            </div>

            <div class="d-flex pd-cotainer">
                <span class="pd-label">Patient Name</span>
                <span class="pd-value">: {{patientName}}</span>
            </div>

            <div class="d-flex pd-cotainer">
                <span class="pd-label">Gender</span>
                <span class="pd-value">: {{patientGender}}</span>
            </div>

            <div class="d-flex pd-cotainer">
                <span class="pd-label">DOB</span>
                <span class="pd-value">: {{patientDOB}}</span>
            </div>

            <div class="d-flex pd-cotainer">
                <span class="pd-label">Home Phone</span>
                <span class="pd-value">: {{patientHome}}</span>
            </div>

            <div class="d-flex pd-cotainer">
                <span class="pd-label">Mobile</span>
                <span class="pd-value">: {{patientMobile}}</span>
            </div>

            <div class="d-flex pd-cotainer">
                <span class="pd-label">Email</span>
                <span class="pd-value">: {{patientEmail}}</span>
            </div>

            <div class="d-flex pd-cotainer">
                <span class="pd-label red font-weight-bold">Outstanding</span>
                <span class="pd-value">: {{patientOutstanding}}</span>
            </div>
        </div>

        <div *ngIf="patientMedicalCondition">
            <h3 class="pd-title red m-0 w-auto font-weight-bold" style="margin-top: 20px !important;">Medical
                Conditions:</h3>

            <div class="pd-cotainer">
                <span class="pd-value">{{patientMedicalCondition}}</span>
            </div>

        </div>

        <div *ngIf="patientAllergy">
            <h3 class="pd-title red m-0 font-weight-bold" style="margin-top: 20px !important;">Allergy:</h3>

            <div class="pd-cotainer">
                <span class="pd-value">{{patientAllergy}}</span>
            </div>
        </div>

        <div *ngIf="patientMedication">
            <h3 class="pd-title red m-0 font-weight-bold" style="margin-top: 20px !important;">Medication:</h3>

            <div class="pd-cotainer">
        <span class="pd-value">
          {{patientMedication}}
        </span>
            </div>
        </div>
    </div>

    <div class="footer-container bg-white">
        <mat-divider></mat-divider>
        <div class="container-fluid d-flex align-items-center justify-content-end h-100">
            <button mat-raised-button color="accent" class="cancel-btn" style="width: 94px; height: 52px;"
                    (click)="togglePatientDetailsPopup(false)">Back
            </button>
        </div>
    </div>
</kendo-popup>

<!-- DATE AVAILABALITY DIALOG -->
<kendo-dialog
        class="date-availability-dialog "
        *ngIf="isDADialogOpen"
        [height]="650"
        [width]="547"
        autoFocusedElement="#nocancel">

    <div class="h-100 d-flex flex-column">
        <div class="d-flex align-items-center"
             style="height: 56px; min-height: 40px; padding: 0 20px; box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, 0.2);">
            <div class="dialog-title text-uppercase flex-fill">
                <span>{{typeToString}} Availability Conflicts</span>
            </div>
            <button mat-icon-button
                    class="modalClosebtn"
                    (click)="closeDateAvailabilityDialog()"
                    style="width: 24px; height: 24px; line-height: 24px; margin-right: 10px;"
                    aria-label="Close dialog">
                <mat-icon class="m-0">close</mat-icon>
            </button>
            <mat-divider></mat-divider>
        </div>

        <div class="flex-fill" style="padding: 13px 20px;">
            <label class="normal_14px_22px_font black" style="letter-spacing: 0.15px; margin-bottom: 10px;">Availability
                status of all the Occurences are shown below:</label>
            <div class="da-table-wrapper da-list-container" style="max-height: 415px; overflow: hidden;">
                <div class="da-list-header d-flex align-items-center">
                    <div style="width: 65px;" class="da-list-cell h-100"></div>
                    <div style="width: 150px; padding-left: 21px"
                         class="lightcolor da-list-cell d-flex align-items-center h-100">
                        Date
                    </div>
                    <div style="width: 162px; padding-left: 49px"
                         class="lightcolor da-list-cell d-flex align-items-center h-100">
                        Time
                    </div>
                    <div style="width: 130px; padding-left: 30px"
                         class="lightcolor da-list-cell d-flex align-items-center h-100">
                        Status
                    </div>
                </div>
                <div class="da-list-body" style="max-height: 409px; overflow: auto; padding-bottom: 30px;">
                    <div class="d-flex align-items-center da-list-row" *ngFor="let row of dateConflicts">

                        <div class="da-list-cell d-flex align-items-center justify-content-center text-center h-100"
                             style="width: 65px; min-width: 65px;">
                            <mat-checkbox class="date-dv-checkbox" color="warn" [disableRipple]="true"
                                          [disabled]="!row.isAvailable"
                                          [checked]="row.isAvailable">
                            </mat-checkbox>
                        </div>

                        <div class="da-list-cell d-flex align-items-center justify-content-center lightcolor h-100"
                             style="width: 150px; min-width: 150px; padding-left: 20px;">
                            {{row.dateTimeUTC | timeFormat: "ddd, Do MMM YYYY":false:true}}
                        </div>

                        <div class="da-list-cell d-flex align-items-center justify-content-center lightcolor text-center h-100"
                             style="width: 162px; min-width: 162px;">
                            {{editForm.get('startDateUTC').value | timeFormat: "hh:mm A":false:false}} -
                            {{editForm.get('endDateUTC').value | timeFormat: "hh:mm A":false:false}}
                        </div>

                        <div class="da-list-cell d-flex align-items-center justify-content-center lightcolor h-100"
                             style="width: 130px; min-width: 130px;">
                            <button
                                    class="da-a-na-status text-white user-select-none {{row.isAvailable ? 'available' : 'unavailable'}}">
                                {{row.isAvailable ? "Available" : "Unavailable"}}
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <label class="normal_14px_22px_font black mb-0"
                   style="letter-spacing: 0.15px; margin-top: 10px;">{{typeToString}}
                will be created only in the available time slots.</label>
        </div>
        <mat-divider></mat-divider>
        <div class="text-right w-100" style="height: 69px; margin-top: 19px; padding: 0 20px;">
            <button mat-stroked-button #btnRef="matButton" color="accent"
                    class="mr-3 cancelbuttons btnheight da-dialog-cancel-btn"
                    (click)="closeDateAvailabilityDialog()" id="nocancel">
                Cancel
            </button>
            <button mat-raised-button color="accent" class="btnheight da-dialog-save-btn" (click)="clickConfirm()">
                Save
            </button>
        </div>
    </div>
</kendo-dialog>
<!-- DIALOG -->
